# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2018 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

class Feature:
    """
    Enum of available CloudLinux features
    that vendors can disable or enable
    """
    PHP_SELECTOR = 'php_selector'
    RUBY_SELECTOR = 'ruby_selector'
    PYTHON_SELECTOR = 'python_selector'
    NODEJS_SELECTOR = 'nodejs_selector'
    LSAPI = 'mod_lsapi'
    GOVERNOR = 'mysql_governor'
    CAGEFS = 'cagefs'
    RESELLER_LIMITS = 'reseller_limits'
    XRAY = 'xray'
    WPOS = 'wpos'


ALL_CL_FEATURES = {
    Feature.PHP_SELECTOR: True,
    Feature.RUBY_SELECTOR: True,
    Feature.PYTHON_SELECTOR: True,
    Feature.NODEJS_SELECTOR: True,
    Feature.LSAPI: True,
    Feature.GOVERNOR: True,
    Feature.CAGEFS: True,
    Feature.RESELLER_LIMITS: True,
    Feature.XRAY: True,
    Feature.WPOS: False,
}

SOLO_CL_FEATURES = {
    Feature.PHP_SELECTOR: False,
    Feature.RUBY_SELECTOR: False,
    Feature.PYTHON_SELECTOR: False,
    Feature.NODEJS_SELECTOR: False,
    Feature.LSAPI: False,
    Feature.GOVERNOR: False,
    Feature.CAGEFS: False,
    Feature.RESELLER_LIMITS: False,
    Feature.XRAY: True,
    Feature.WPOS: True,
}
