# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#

# pylint: disable=no-absolute-import

import os

from clcommon.lib.config import Config

CLN_JWT_TOKEN_PATH = '/etc/sysconfig/rhn/jwt.token'

c = Config()
DEFAULT_JWT_ES_TOKEN_PATH = c.get_value(
    'jwt_token_file',
    CLN_JWT_TOKEN_PATH
)
PUSHGATEWAY_ADDRESS = c.get_value(
    'pushgateway_address',
    'https://cm.cloudlinux.com'
)
DEFAULT_PUSHGATEWAY_URL = f'{PUSHGATEWAY_ADDRESS}/pushgateway/store'
DEFAULT_PUSHGATEWAY_CHECK_URL = f'{PUSHGATEWAY_ADDRESS}/pushgateway/check'

DISABLE_CMT_DIR = "/etc/cl_plus"
DISABLE_CMT_FILE = os.path.join(DISABLE_CMT_DIR, ".disabled")
