# -*- coding: utf-8 -*-
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2018 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT
#
from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
import glob
import imp
import os
import sys

from .helpers import LISTENERS_DIRECTORY

from .modify_domain_hook import ModifyDomainHook
from .modify_admin_hook import ModifyAdminHook
from .modify_user_hook import ModifyUserHook


def import_file(filepath):
    # Fast path: see if the module has already been imported.
    name = os.path.basename(filepath)[:-3]
    try:
        return sys.modules[name]
    except KeyError:
        pass

    # If any of the following calls raises an exception,
    # there's a problem we can't handle -- let the caller handle it.
    fp, pathname, description = imp.find_module(name, [LISTENERS_DIRECTORY])

    try:
        return imp.load_module(name, fp, pathname, description)
    finally:
        # Since we may exit via an exception, close fp explicitly.
        if fp:
            fp.close()


# automatically scan directory for universal hooka
for hook_py in glob.glob(LISTENERS_DIRECTORY + '*.py'):
    import_file(hook_py)


__all__ = (
    'ModifyDomainHook',
    'ModifyAdminHook',
    'ModifyUserHook'
)
